## mbelib-1.3.0.tar.gz

=== CMakeLists.txt ===
project(mbe)
cmake_minimum_required(VERSION 2.6)

FILE(GLOB SRCS *.c)

include_directories("${PROJECT_SOURCE_DIR}")

ADD_LIBRARY(mbe-static STATIC ${SRCS})
ADD_LIBRARY(mbe-shared SHARED ${SRCS})
TARGET_LINK_LIBRARIES(mbe-static m)
TARGET_LINK_LIBRARIES(mbe-shared m)

include(GNUInstallDirs)

set_target_properties(mbe-static mbe-shared
                      PROPERTIES
                      OUTPUT_NAME mbe
                      VERSION 1.3
                      SOVERSION 1
                      INSTALL_NAME_DIR ${CMAKE_INSTALL_FULL_LIBDIR}
                      PUBLIC_HEADER "mbelib.h")

configure_file("${CMAKE_CURRENT_SOURCE_DIR}/libmbe.pc.in"
               "${CMAKE_CURRENT_BINARY_DIR}/libmbe.pc"
               @ONLY)

install(FILES "${CMAKE_CURRENT_BINARY_DIR}/libmbe.pc"
        DESTINATION "${CMAKE_INSTALL_LIBDIR}/pkgconfig")

install(TARGETS mbe-static mbe-shared
        LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
        ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
        PUBLIC_HEADER DESTINATION ${CMAKE_INSTALL_INCLUDEDIR})

# uninstall target
configure_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/cmake_uninstall.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
    IMMEDIATE @ONLY)

add_custom_target(uninstall
    COMMAND ${CMAKE_COMMAND} -P ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake)

option(DISABLE_TEST "Disable building of test framework." OFF)

if (NOT DISABLE_TEST)
    enable_testing()
    add_subdirectory(test)
endif()

=== test/CMakeLists.txt ===
project(mbetest)

add_subdirectory(gtest)
add_subdirectory(gmock)

FILE(GLOB SRCS *.cpp)

include_directories(
    ${PROJECT_SOURCE_DIR}/gtest/include
    ${PROJECT_SOURCE_DIR}/gmock/include
    ${mbe_SOURCE_DIR}
)

link_directories( ${mbe_BINARY_DIR} )

ADD_EXECUTABLE(mbetest ${SRCS})
TARGET_LINK_LIBRARIES(mbetest mbe gmock gtest)

add_test(gtest  mbetest)

=== debian/changelog ===
libmbe (1.3.0) bionic; urgency=low

  * Initial upload!

 -- Jared Szechy <jared.szechy@gmail.com>  Wed, 27 Jun 2018 23:00:00 -0400

=== debian/control ===
Source: libmbe
Section: libs
Priority: optional
Maintainer: Jared Szechy <jared.szechy@gmail.com>
Build-Depends: debhelper (>= 9), cmake
Standards-Version: 4.1.4
Homepage: https://github.com/szechyjs/mbelib
Vcs-Git: https://github.com/szechyjs/mbelib.git
Vcs-Browser: https://github.com/szechyjs/mbelib

Package: libmbe-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libmbe1 (= ${binary:Version}), ${misc:Depends}
Description: P25 Phase 1 and ProVoice vocoder - development kit
 libMBE supports the 7200x4400 bit/s codec used in P25 Phase 1,
 the 7100x4400 bit/s codec used in ProVoice and the "Half Rate"
 3600x2250 bit/s vocoder used in various radio systems.
 .
 This package contains the development files for libmbe.

Package: libmbe1
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: P25 Phase 1 and ProVoice vocoder - runtime library
 libMBE supports the 7200x4400 bit/s codec used in P25 Phase 1,
 the 7100x4400 bit/s codec used in ProVoice and the "Half Rate"
 3600x2250 bit/s vocoder used in various radio systems.
 .
 This package contains the libmbe library used by applications.
